<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd"
>


<hibernate-mapping default-lazy="false" default-cascade="all">
    <class entity-name="images" table="TIU_IMAGE_V" lazy="false" node="images">
        <id name="id" type="java.lang.Long" >
            <column name="TIU_IMAGE_ID" />
 			<generator class="sequence">
				<param name="sequence">tiu_image_seq_id</param>
			</generator>
        </id>
        
        <property name="clinicalDocumentId" type="integer" column="CLINICAL_DOCUMENT_ID" node="clinicalDocumentId" insert="false" update="false"/>

        <component name="imageLinkCode" node="imageLinkCode">
			<property name="code" column="IMAGE_LINK_CODE" type="java.lang.String" node="code"/>
			<property name="displayText" column="IMAGE_LINK_DSPLYTXT" type="java.lang.String" node="displayText"/>
			<property name="codingSystem" column="IMAGE_LINK_CODSYS" type="java.lang.String" node="codingSystem"/>
		</component>

	</class>
</hibernate-mapping>
